function [ output_args ] = CreateWAV( Directory,AnimalName,StartNumber,DT,Header,Data )
%CreateLVD Summary of this function goes here
%   Detailed explanation goes here
    
  NPoints = size(Data,1);
  
    if StartNumber>1
      FName = [AnimalName '-' sprintf('%05d',StartNumber) '.wav']; %was 'U-f'
    else
      FName = [AnimalName '.wav']; %was 'U-f'  
    end    
    filenameA = [Directory filesep FName]; 
    DTt = DT;%in days
    DateString1 = datestr(DTt,'yyyymmddHHMMSS.FFF');
        
      DW = Data;  
      
     [v d] = version; %get Matlab release data
     MatlabDate = datenum(d,'mmm dd, yyyy');
     AudioWriteStartDate = datenum('September 3, 2015','mmm dd, yyyy')-2;%-2 for safety of rounding
     if MatlabDate<AudioWriteStartDate
       wavwrite(DW,Header(1),16,filenameA); %Header(1) == sps;
     else
       audiowrite(filenameA,DW,Header(1),'BitsPerSample',16);  
     end    
     %fi=fopen(filenameA,'w','ieee-be');
     %fwrite(fi,Header,'double');     
     %fwrite(fi,DW','int16');
     %fclose(fi);
     DFile = DTt+size(DW,1)/(Header(1)*24*3600);%in days, when file is closed
     DateString2 = datestr(DFile,'yyyymmddHHMM.SS');
     system(['touch -t ' DateString2 ' ' filenameA]);          
end

