function tag_GUI_activate(obj)
% see also tag_GUI_deactivate.m

    %disp([obj.Name ' is calling tag_GUI_activate']);


    if isempty(obj.TAG_listener_NewFile)
        %disp('creating new TAG listener')
        
        obj.TAG_listener_NewFile = addlistener(obj, 'NewFile', ...
            @(src, evnt)tag_gui_triggered(obj, src, evnt));
        
        obj.TAG_listener_NewROI = addlistener(obj, 'NewROI', ...
            @(src, evnt)trigger_NewROI(obj, src, evnt));
        
    else
        %disp('reactivating old TAG listener')
        obj.TAG_listener_NewFile.Enabled = true;
        obj.TAG_listener_NewROI.Enabled = true;
    end

    %% CALLBACKS
    
    function tag_gui_triggered(obj, src, evnt) %#ok<INUSD>

        obj.TAG_GUI_OBJECT.delete_plotted_indices()
        
        obj.tag_data(obj.data);
        if obj.TAG_FOUND == 0
            return;
        end
        
        %%
        obj.TAG_GUI_OBJECT.update_indices(obj.TAG_INDICES);
        obj.TAG_GUI_OBJECT.setup_lines();

    end
    
    function trigger_NewROI(obj, src, evnt) %#ok<INUSD>
        obj.TAG_GUI_OBJECT.update(obj.ROI, obj.Scanrate);
    end

    
end
%% EOF
