function [ output_args ] = CreateLVD( Directory,AnimalName,StartNumber,DT,Header,Data )
%CreateLVD Summary of this function goes here
%   Detailed explanation goes here
    
  NPoints = size(Data,1);
  
    FName = [AnimalName 'U-f' sprintf('%05d',StartNumber) '.lvd'];
    FName1 = [AnimalName 'U-f' sprintf('%05d',StartNumber) '.txt'];  
    filenameA = [Directory filesep FName];  
    filenameA1 = [Directory filesep 'Meta' filesep FName1];
    DTt = DT;%in days
    DateString1 = datestr(DTt,'yyyymmddHHMMSS.FFF');
        
      DW = Data;  
     
     fi=fopen(filenameA,'w','ieee-be');
     fwrite(fi,Header,'double');     
     fwrite(fi,DW','int16');
     fclose(fi);
     DFile = DTt+size(DW,1)/(Header(1)*24*3600);%in days, when file is closed
     DateString2 = datestr(DFile,'yyyymmddHHMM.SS');
     system(['touch -t ' DateString2 ' ' filenameA]);
     %create Metafile
     fi=fopen(filenameA1,'w','ieee-be');
     fprintf(fi,'%s\n','filetype:');
     fprintf(fi,'%s\n','{');
     fprintf(fi,'%s\n','Undirected');
     fprintf(fi,'%s\n','}');
     fprintf(fi,'%s\n','');
     fprintf(fi,'%s\n','');
     fprintf(fi,'%s\n','thresholds activators');
     fprintf(fi,'%s\n','{');
     fprintf(fi,'%s\n','10.000000,');
     fprintf(fi,'%s\n','}');
     fprintf(fi,'%s\n','');
     fprintf(fi,'%s\n','~D0{}');
     fprintf(fi,'%s\n','');
     fprintf(fi,'%s\n','~A0{}');
     fprintf(fi,'%s\n','');
     fprintf(fi,'%s\n','*');     
     fprintf(fi,'%s\n',[DateString1 '000']);
     fprintf(fi,'%s\n','*');
     fprintf(fi,'%s\n','+');     
     fprintf(fi,'%d\n',round(size(DW,1)/Header(1)*150));
     fprintf(fi,'%s\n','+');
     fprintf(fi,'%s\n','');
     fprintf(fi,'%s\n','---');
     fprintf(fi,'%s\n','');
     fprintf(fi,'%s\n','0#{300|310|}%{}${10.1}&{}');
     fclose(fi);
     system(['touch -t ' DateString2 ' ' filenameA1]);      
end

