function [B, Sync, Vcount] = Datalogger4ChConverter_ErrInsensitiveSound(Name_tmp)
%Ku = [101 11 101 11];    %for sound recorder
%Coef = single(2000./Ku/2048);  %in mV
fid = fopen(Name_tmp, 'r');
A = fread(fid,Inf,'uint8=>uint8');
fclose(fid);
FSize = size(A,1);
V = NaN(ceil(FSize/6),2); Vcount = 0;%Af = []; V = [];
Error = false;
StartPos = 1; 
CurrentPos = 2;
FSize_3 = FSize-3;
while CurrentPos<FSize_3  %FSize-4 -> FSize-3
   b12 = bitand(A(CurrentPos),128); %with synchronization! rem +1 ->  1.4391s
   b34 = bitand(A(CurrentPos+3),136);
   if (b12~=0) && (b34==0)     %1.5198s; (b12==0) && (b34==0):1.7629s/1e7iter; (b12|b34)==0:1.7461s %no error  
     CurrentPos = CurrentPos+6;
     if Error 
       StartPos = CurrentPos-1;         
     end  
     Error = false;
   else             %error
     if ~Error 
       Vcount = Vcount+1;
       V(Vcount,:) = [StartPos CurrentPos-2];
       Error = true;
     end;    
     CurrentPos = CurrentPos+1;  
   end;    
end;
if ~Error
  Vcount = Vcount+1;
  V(Vcount,1:2) = [StartPos CurrentPos-2]; %was -1
end;
V((Vcount+1):end,:) = [];
%here we have to collect the array indeed!!!
L = V(:,2)-V(:,1)+1;
Af_length = sum(L);
Af = zeros(Af_length,1,'uint8');
Counter = 0;
for I_t =1:size(V,1)
  Af(Counter+(1:L(I_t))) = A(V(I_t,1):V(I_t,2));
  Counter = Counter+L(I_t);
end
A = Af;
Af = []; %clear Af 
Am = rem(size(A,1),6)-1;
if (Am>-1)
  A((size(A,1)-Am):size(A,1),:) = [];
end;    
A = reshape(A,6,size(A,1)/6)';
B = zeros(size(A,1),4, 'single');
B(:,1) = bitshift(uint16(bitand(A(:,2),112)),4)+uint16(A(:,1));  
B(:,2) = bitshift(uint16(bitand(A(:,2),7)),8)+uint16(A(:,3));
B(:,3) = bitshift(uint16(bitand(A(:,2+3),112)),4)+uint16(A(:,1+3));  
B(:,4) = bitshift(uint16(bitand(A(:,2+3),7)),8)+uint16(A(:,3+3));
Sync = bitshift(bitand(A(:,2),8),-3);
 % clear A;

