function [ NI_BP ] = ShiftDataF( NI, BP, NI_BP )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
  %Subtruct start
  BestAnimal = 1;
  NFiles = 2;
  SyncA = cell(NFiles,1);
  CA = SyncA;
  SyncA{1} = NI.Sync;
  SyncA{2} = BP.Sync;
  CA{1} = NI.C;
  CA{2} = [BP.C single(BP.SongDetection)];
  
  CorrespondingPointsCorrected = BP.CorrespondingPoints;
  %CorrespondingPointsCorrected = BP.CorrespondingPoints-...
  %    repmat(BP.CorrespondingPoints(1,:),size(BP.CorrespondingPoints,1),1);
  NumberOfPointsToAdd = ...
      -(NI.Deviations(2:end,:)-NI.Deviations(1:(end-1),:));  %increment
  tic
  for I_t = 1:NFiles
  if I_t~=BestAnimal  
    C = CA{I_t};
    Sync = SyncA{I_t};
    C_target = C;
    Sync_target = Sync;
    CounterTarget = 0;
    for J_t = 1:size(NumberOfPointsToAdd,1)
      disp(num2str(J_t));  
      C_t = C((CorrespondingPointsCorrected(J_t,I_t)+1):CorrespondingPointsCorrected(J_t+1,I_t),:);  
      Sync_t = Sync((CorrespondingPointsCorrected(J_t,I_t)+1):CorrespondingPointsCorrected(J_t+1,I_t));
      N_t = length(Sync_t);
      NPointsToAdd = NumberOfPointsToAdd(J_t,I_t);
      %if NPointToAdd==0 - do nothing, the block will be just copied
      if NPointsToAdd<0 %remove points 
        NPointsToRemove = abs(NPointsToAdd);  
        Step = floor(N_t/NPointsToRemove);
        K_t = NPointsToRemove:-1:1;
        P = K_t*Step;  
        C_t(P,:) = [];
        Sync_t(P) = [];    
      end 
      if NPointsToAdd>0 %add points 
         Step = floor((N_t-1)/NPointsToAdd); %'-1' - don't want to add to the end 
         C_tt = zeros(size(C_t,1)+NPointsToAdd,size(C_t,2));
         Sync_tt = zeros(size(C_t,1)+NPointsToAdd,1);
         Counter = 0;
         for K_t = 1:NPointsToAdd
          P = K_t*Step;
          C_I = mean(C_t(P+[0 1],:));
          Sync_I = floor(mean(Sync_t(P+[0 1])));
          C_tt(Counter+(1:(Step+1)),:) = [C_t((K_t-1)*Step+(1:Step),:); C_I];
          Sync_tt(Counter+(1:(Step+1))) = [Sync_t((K_t-1)*Step+(1:Step)) Sync_I];
          Counter = Counter+Step+1;
          %C_t = [C_t(1:P,:); C_I; C_t((P+1):end,:)];
          %Sync_t = [Sync_t(1:P); Sync_I; Sync_t((P+1):end)];
         end
        C_tt((Counter+1):end,:) = C_t((P+1):end,:); 
        Sync_tt((Counter+1):end) = Sync_t((P+1):end); 
        C_t = C_tt;
        Sync_t = Sync_tt;
      end
      N_t = length(Sync_t);
      C_target(CounterTarget+(1:N_t),:) = C_t;
      Sync_target(CounterTarget+(1:N_t)) = Sync_t;
      CounterTarget = CounterTarget+N_t;
    end   
    N_t = length(Sync)-CorrespondingPointsCorrected(end);
    C_target(CounterTarget+(1:N_t),:) = C((CorrespondingPointsCorrected(end)+1):end,:);
    Sync_target(CounterTarget+(1:N_t)) = Sync((CorrespondingPointsCorrected(end)+1):end);
    C_target((CounterTarget+N_t+1):end,:) = [];
    Sync_target((CounterTarget+N_t+1):end) = [];
    CA{I_t} = C_target;
    SyncA{I_t} = Sync_target;
  end    
  end
%toc
%now truncate also the record of 'BestAnimal' from both sides
C = CA{BestAnimal};
Sync = SyncA{BestAnimal};
%Sync((BP.CorrespondingPoints(end,BestAnimal)+1):end) = [];
%C((BP.CorrespondingPoints(end,BestAnimal)+1):end,:) = [];
Sync(1:(BP.CorrespondingPoints(1,BestAnimal))) = [];
C(1:(BP.CorrespondingPoints(1,BestAnimal)),:) = [];
CA{BestAnimal} = C;
SyncA{BestAnimal} = Sync;

L = min(cellfun(@length,SyncA));
for I_t = 1:length(SyncA)   
  CA{I_t}((L+1):end,:) = [];     
  SyncA{I_t}((L+1):end) = [];  
end    
%disp([num2str(length(SyncA{1})) ' ' num2str(length(SyncA{2}))]);
%disp(num2str(size(CA{1})));
%disp(num2str(size(CA{2})));

% for I_t = 1:length(CA)
%   CA{I_t} = CA{I_t}';  
% end    
% NI_BP = cell2mat(CA);
% NI_BP = [NI_BP; single(SyncA{1}')]';
NI_BP.Data = ...
    [int16(CA{1}) int16(CA{2}(:,1:(end-2)))...
     int16(SyncA{1}) int16(SyncA{2})' int16(CA{2}(:,end+[-1 0]))]; 
%without playback: wall mic, head mic, accel, sync NI, sync BP 
%with playback: wall mic, playback, head mic, accel, sync NI, sync BP 
toc
end

